import { AnchoredRadialSeries } from "./AnchoredRadialSeries";
import { UnknownValuePlotting } from "igniteui-react-core";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-react-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { RadialFrame } from "./RadialFrame";
import { RadialBaseView } from "./RadialBaseView";
import { List$1 } from "igniteui-react-core";
import { Path } from "igniteui-react-core";
import { PointCollection } from "igniteui-react-core";
import { AnchoredRadialSeriesView } from "./AnchoredRadialSeriesView";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class RadialAreaSeries extends AnchoredRadialSeries {
    static $t: Type;
    protected bc(): Series;
    protected get_d9(): boolean;
    protected cd(): SeriesView;
    o2(a: SeriesView): void;
    yb: RadialAreaSeriesView;
    constructor();
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    nk(a: boolean, b: SeriesView): void;
    wq(a: RadialFrame, b: RadialBaseView): void;
    yc: UnknownValuePlotting;
    protected pa(a: any, b: string, c: any, d: any): void;
    protected get_w7(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RadialAreaSeriesView extends AnchoredRadialSeriesView {
    static $t: Type;
    protected c3: RadialAreaSeries;
    constructor(a: RadialAreaSeries);
    au(): void;
    da: Path;
    dc: Path;
    db: Path;
    dd: Path;
    c6: Path;
    c8: Path;
    c7: Path;
    c9: Path;
    c4(): void;
    c5(a: number, b: List$1<number[]>, c: boolean, d: number, e: number, f: (arg1: PointCollection, arg2: PointCollection, arg3: PointCollection, arg4: PointCollection, arg5: boolean) => void, g: UnknownValuePlotting): void;
    protected bd(): void;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
}
